Shutdown Deployment Elasticsearch Resource
- POST /deployments/{deployment_id}/elasticsearch/{ref_id}/_shutdown
Shutdown Elasticsearch Resource belonging to a given Deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Query Parameters
-
hideboolean Hide cluster on shutdown. Hidden clusters are not listed by default. Only applicable for Platform administrators.
-
skip_snapshotboolean · default: false If true, will skip taking a snapshot of the cluster before shutting the cluster down (if even possible).
Responses
Standard response.
Parameter is restricted and can only be set by a Platform administrator. (code: deployments.restricted_parameter)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
A Resource that was previously stored no longer exists. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response